select count(*) as n, substr(kind, 1, 2) as k from kind group by k order by n desc

# how many branches are represented in the dataset?
#
select count(*) as n, substr(collection, 1, 1) as k from collection group by k order by n desc

# how many media types and collection names are in the dataset?
#
select count(*) as n, substr(kind, 3) as k from kind group by k order by n desc
select count(*) as n, substr(collection, 3) as k from collection group by k order by n desc

# what is the minimal (unique) set of names for media types in the SPL holdings?
#
select * from (select substr(kind, 3) as k from kind group by kind) as t group by t.k

# what are all the different kind codes that are books?
#
select * from (select kind from kind group by kind) as t where kind like '%bk'

# how many of each media type are within the SPL holdings?
#
select * from (select substr(kind, 3) as k, count(*) as n from kind group by kind) as t group by t.k order by n desc

# show all titles of books that have the given color words in their titles or subjects
#
select title
  from title, keyword, item, kind
    where
      title.bib = keyword.bib and
      item.bib = keyword.bib and
      item.item = kind.item and
      keyword in ('green', 'blue', 'red', 'yellow', 'black', 'white', 'brown', 'pink') and
      kind in ('acbk', 'arbk', 'bcbk', 'jcbk', 'jrbk')
  group by keyword.bib

# investigate bibs with the most copies
#
select copies, kind, title
  from title, item, kind, copies where
    title.bib = copies.bib and
    item.bib = copies.bib and
    item.item = kind.item and
    copies > 200
  group by copies.bib 
  order by copies desc


